diff -c -r postgresql-7.1RC1/src/bin/psql/mainloop.c postgresql-7.1RC1-fixed/src/bin/psql/mainloop.c
*** postgresql-7.1RC1/src/bin/psql/mainloop.c	Sat Mar 24 01:54:56 2001
--- postgresql-7.1RC1-fixed/src/bin/psql/mainloop.c	Mon Mar 26 11:06:40 2001
***************
*** 567,573 ****
--- 567,575 ----
  	 * it will re-enable ^C catching as soon as it gets back to the top
  	 * of its loop and resets main_loop_jmp to point to itself.
  	 */
+ #ifndef WIN32
  	pqsignal(SIGINT, SIG_DFL);
+ #endif
  
  	destroyPQExpBuffer(query_buf);
  	destroyPQExpBuffer(previous_buf);
diff -c -r postgresql-7.1RC1/src/include/config.h.win32 postgresql-7.1RC1-fixed/src/include/config.h.win32
*** postgresql-7.1RC1/src/include/config.h.win32	Fri Feb 23 19:12:19 2001
--- postgresql-7.1RC1-fixed/src/include/config.h.win32	Mon Mar 26 11:06:50 2001
***************
*** 18,20 ****
--- 18,23 ----
  
  #define HAVE_MEMMOVE
  #define BLCKSZ	8192
+ 
+ #define HAVE_ATEXIT
+ 
